Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.m2m.qvt.oml.ecore.ImperativeOCL
Interface ComputeExp

All Superinterfaces:
  ImperativeExpression

All Known Implementing Classes:
  ComputeExpImpl

    public interface ComputeExp

extends ImperativeExpression

A representation of the model object 'Compute Exp'.

The following features are supported:

- `Body`
- `Returned Element`

See Also:
  `ImperativeOCLPackage.getComputeExp()`

Method Summary
`OCLExpression` | `getBody()` Returns the value of the 'Body' containment reference
`Variable` | `getReturnedElement()` Returns the value of the 'Returned Element' containment reference
`void` | `setBody(OCLExpression value)` Sets the value of the '`Body`' containment reference
`void` | `setReturnedElement(Variable value)` Sets the value of the '`Returned Element`' containment reference

Method Detail

### getBody

    OCLExpression getBody()

  Returns the value of the 'Body' containment reference.

  If the meaning of the 'Body' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Body' containment reference.
  See Also:
    `setBody(OCLExpression)`, `ImperativeOCLPackage.getComputeExp_Body()`

### setBody

    void setBody(OCLExpression value)

  Sets the value of the '`Body`' containment reference.

  Parameters:
    `value` - the new value of the 'Body' containment reference.
  See Also:
    `getBody()`

### getReturnedElement

    Variable getReturnedElement()

  Returns the value of the 'Returned Element' containment reference.

  If the meaning of the 'Returned Element' containment reference isn't clear, there really should be more of a description here...

  Returns:
    the value of the 'Returned Element' containment reference.
  See Also:
    `setReturnedElement(Variable)`, `ImperativeOCLPackage.getComputeExp_ReturnedElement()`

### setReturnedElement

    void setReturnedElement(Variable value)

  Sets the value of the '`Returned Element`' containment reference.

  Parameters:
    `value` - the new value of the 'Returned Element' containment reference.
  See Also:
    `getReturnedElement()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Copyright 2008 Borland Software Corporation and others. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD